Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.filter
Class FilterResponseWrapper

    java.lang.Object
      javax.servlet.ServletResponseWrapper
          javax.servlet.http.HttpServletResponseWrapper
              com.heckmansoft.surjey.filter.FilterResponseWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

public class FilterResponseWrapper
extends javax.servlet.http.HttpServletResponseWrapper

A wrapper around the response used for filtering.

See Also:
  `HttpServletResponse`, `HttpServletResponseWrapper`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`FilterResponseWrapper(javax.servlet.http.HttpServletResponse response)` Constructor.

Method Summary
`void` | `close()` Close the substitute response.
`void` | `flushBuffer()` Flush the buffer of the substitute response.
`java.io.PrintWriter` | `getWriter()` Get a PrintWriter for substitute response.
`void` | `setContentLength(int length)` Set the content length of the substitute response.
`void` | `setContentType(java.lang.String type)` Set the content type of the substitute response.
`java.lang.String` | `toString()` Convert substitute response to string.

Methods inherited from class javax.servlet.http.HttpServletResponseWrapper
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class javax.servlet.ServletResponseWrapper
`getBufferSize, getCharacterEncoding, getLocale, getOutputStream, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setLocale, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletResponse
`getBufferSize, getCharacterEncoding, getLocale, getOutputStream, isCommitted, reset, resetBuffer, setBufferSize, setLocale`

Constructor Detail

### FilterResponseWrapper

    public FilterResponseWrapper(javax.servlet.http.HttpServletResponse response)

  Constructor.

Parameters:
  `response` - The response to wrap.

Method Detail

### toString

    public java.lang.String toString()

  Convert substitute response to string.

### getWriter

    public java.io.PrintWriter getWriter()

  Get a PrintWriter for substitute response.

  See Also:
    `ServletResponse.getWriter()`

### close

    public void close()
               throws java.io.IOException

  Close the substitute response.

  Throws:
    `java.io.IOException`

### setContentLength

    public void setContentLength(int length)

  Set the content length of the substitute response.

  See Also:
    `ServletResponse.setContentLength(int)`

### setContentType

    public void setContentType(java.lang.String type)

  Set the content type of the substitute response.

  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Flush the buffer of the substitute response.

  Throws:
    `java.io.IOException`
  See Also:
    `ServletResponse.flushBuffer()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD